Package com.independentsoft.office.odf.styles

# Class TextPosition

java.lang.Object
com.independentsoft.office.odf.styles.TextPosition

public class TextPosition extends Object
Represents the text positions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextPosition()`
  Initializes a new instance of the TextPosition class.
  `TextPosition​(String position)`
  Initializes a new instance of the TextPosition class.
  `TextPosition​(String verticalPosition, int fontHeight)`
  Initializes a new instance of the TextPosition class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TextPosition`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `int`
  `getFontHeight()`
  Gets the font height of the text.
  `String`
  `getVerticalPosition()`
  Gets the vertical positions of the text.
  `void`
  `setFontHeight​(int fontHeight)`
  Sets the font height of the text.
  `void`
  `setVerticalPosition​(String verticalPosition)`
  Sets the vertical positions of the text.
  `String`
  `toString()`
  Converts the value of the current TextPosition object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TextPosition

    public TextPosition()
    Initializes a new instance of the TextPosition class.

  - ### TextPosition

    public TextPosition​(String position)
    Initializes a new instance of the TextPosition class.
    Parameters:
      `position` - the position

  - ### TextPosition

    public TextPosition​(String verticalPosition, int fontHeight)
    Initializes a new instance of the TextPosition class.
    Parameters:
      `verticalPosition` - the vertical position
      `fontHeight` - the font height

- ## Method Details

  - ### clone

    public TextPosition clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current TextPosition object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getVerticalPosition

    public String getVerticalPosition()
    Gets the vertical positions of the text.
    Returns:
      the vertical position

  - ### setVerticalPosition

    public void setVerticalPosition​(String verticalPosition)
    Sets the vertical positions of the text.
    Parameters:
      `verticalPosition` - the new vertical position

  - ### getFontHeight

    public int getFontHeight()
    Gets the font height of the text.
    Returns:
      the font height

  - ### setFontHeight

    public void setFontHeight​(int fontHeight)
    Sets the font height of the text.
    Parameters:
      `fontHeight` - the new font height